Name: hyphen-no
Summary: Norwegian hyphen dictionaries
Version: 2.0.10
Release: %mkrel 13
Source: http://alioth.debian.org/frs/download.php/2357/no_NO-pack2-%{version}.zip
Group:  Text tools
URL: http://spell-norwegian.alioth.debian.org
License: GPL+
BuildArch: noarch

%description
Norwegian hyphen dictionaries.

%package -n hyphen-nb
Summary: Bokmaal hyphenation rules
Group: Text tools
Requires: hyphen
Requires: locales-nb

%description -n hyphen-nb
Bokmaal hyphenation rules.

%package -n hyphen-nn
Summary: Nynorsk hyphenation rules
Group: Text tools
Requires: hyphen
Requires: locales-no

%description -n hyphen-nn
Nynorsk hyphenation rules

%prep
%setup -q -c

%build
unzip -q hyph_nb_NO.zip
unzip -q hyph_nn_NO.zip
for i in README_hyph_nb_NO.txt README_hyph_nn_NO.txt; do
  if ! iconv -f utf-8 -t utf-8 -o /dev/null $i > /dev/null 2>&1; then
    iconv -f ISO-8859-1 -t UTF-8 $i > $i.new
    touch -r $i $i.new
    mv -f $i.new $i
  fi
  tr -d '\r' < $i > $i.new
  touch -r $i $i.new
  mv -f $i.new $i
done

%install
mkdir -p %{buildroot}%{_datadir}/hyphen
cp -p hyph_nn_NO.dic hyph_nb_NO.dic %{buildroot}%{_datadir}/hyphen

%files -n hyphen-nb
%doc README_hyph_nb_NO.txt
%{_datadir}/hyphen/hyph_nb_NO.*

%files -n hyphen-nn
%doc README_hyph_nn_NO.txt
%{_datadir}/hyphen/hyph_nn_NO.*


%changelog

* Fri Mar 29 2013 tv <tv> 2.0.10-13.mga3
+ Revision: 406321
- requires locales-hyphen-no (mga#9540)

* Sat Jan 12 2013 umeabot <umeabot> 2.0.10-12.mga3
+ Revision: 353995
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Feb 07 2012 kamil <kamil> 2.0.10-11.mga2
+ Revision: 206083
- clean package from old hunspell-no and myhes-no parts
- exclude from hunspell-no subpackage hyphen-no

* Thu Mar 24 2011 ahmad <ahmad> 2.0.10-10.mga1
+ Revision: 77011
- fix hyphen- Group

* Sat Mar 12 2011 dmorgan <dmorgan> 2.0.10-9.mga1
+ Revision: 68989
- imported package hunspell-no

